@echo off
cls
SET OLDJAVA_HOME=%JAVA_HOME%
SET OLDHTTPPORT=%HTTPPORT%
SET OLDRMIADAPTORPORT=%RMIADAPTORPORT%
SET OLDSSLPORT=%SSLPPORT%
SET OLDSSLENABLED=%SSLENABLED%
SET OLDAJPPORT=%AJPPORT%
SET OLDDIRECTORPORT=%DIRECTORPORT%
SET OLDDIRECTORENABLED=%DIRECTORENABLED%
SET OLDAJPENABLED=%AJPENABLED%
SET OLDHTTPENABLED=%HTTPENABLED%
SET OLDSERVICENAME=%SERVICENAME%
SET OLDUSERNAME=%USERNAME%
SET OLDPASSWORD=%PASSWORD%
SET OLDSERVICES=%SERVICES%
SET OLDJONAS_BIN=%JONAS_BIN%
SET HTTPPORT=9000
SET RMIADAPTORPORT=1099
SET SSLPORT=9043
SET SSLENABLED=on
SET AJPPORT=9009
SET DIRECTORPORT=9003
SET DIRECTORENABLED=on
SET AJPENABLED=on
SET HTTPENABLED=on
SET SERVICENAME=EnhydraEnterprise
SET USERNAME=admin
SET PASSWORD=enhydra
SET SERVICES=registry,jmx,security,jtm,dbm,ejb,web,ear
SET JONAS_BIN=


if not exist build.properties goto loop
rem *********************************************
rem *  Init build.properties parameters
rem *********************************************
find "jdk.dir" < build.properties > jdk.dir.txt
for /F "tokens=1,2* delims==" %%i in (jdk.dir.txt) do SET JAVA_HOME=%%j
del jdk.dir.txt>nul
find "httpport" < build.properties > httpport.txt
for /F "tokens=1,2* delims==" %%i in (httpport.txt) do SET HTTPPORT=%%j
del httpport.txt>nul
find "rmiadaptorport" < build.properties > rmiadaptorport.txt
for /F "tokens=1,2* delims==" %%i in (rmiadaptorport.txt) do SET RMIADAPTORPORT=%%j
del rmiadaptorport.txt>nul
find "sslport" < build.properties > sslport.txt
for /F "tokens=1,2* delims==" %%i in (sslport.txt) do SET SSLPORT=%%j
del sslport.txt>nul
find "sslenabled" < build.properties > sslenabled.txt
for /F "tokens=1,2* delims==" %%i in (sslenabled.txt) do SET SSLENABLED=%%j
del sslenabled.txt>nul
find "ajpport" < build.properties > ajpport.txt
for /F "tokens=1,2* delims==" %%i in (ajpport.txt) do SET AJPPORT=%%j
del ajpport.txt>nul
find "directorport" < build.properties > directorport.txt
for /F "tokens=1,2* delims==" %%i in (directorport.txt) do SET DIRECTORPORT=%%j
del directorport.txt>nul
find "directorenabled" < build.properties > directorenabled.txt
for /F "tokens=1,2* delims==" %%i in (directorenabled.txt) do SET DIRECTORENABLED=%%j
del directorenabled.txt>nul
find "ajpenabled" < build.properties > ajpenabled.txt
for /F "tokens=1,2* delims==" %%i in (ajpenabled.txt) do SET AJPENABLED=%%j
del ajpenabled.txt>nul
find "httpenabled" < build.properties > httpenabled.txt
for /F "tokens=1,2* delims==" %%i in (httpenabled.txt) do SET HTTPENABLED=%%j
del httpenabled.txt>nul
find "servicename" < build.properties > servicename.txt
for /F "tokens=1,2* delims==" %%i in (servicename.txt) do SET SERVICENAME=%%j
del servicename.txt>nul
find "username" < build.properties > username.txt
for /F "tokens=1,2* delims==" %%i in (username.txt) do SET USERNAME=%%j
del username.txt>nul
find "password" < build.properties > password.txt
for /F "tokens=1,2* delims==" %%i in (password.txt) do SET PASSWORD=%%j
del password.txt>nul
find "services" < build.properties > services.txt
for /F "tokens=1,2* delims==" %%i in (services.txt) do SET SERVICES=%%j
del services.txt>nul
find "jonas_bin" < build.properties > jonas_bin.txt
for /F "tokens=1,2* delims==" %%i in (jonas_bin.txt) do SET JONAS_BIN=%%j
del jonas_bin.txt>nul

:loop
if %SYSTEMROOT% == "" goto error
if X%1==X goto start
if %1==-jdk.dir goto jdkdir
if %1==-httpport goto httpport
if %1==-rmiadaptorport goto rmiadaptorport
if %1==-sslport goto sslport
if %1==-sslenabled goto sslenabled
if %1==-ajpport goto ajpport
if %1==-directorport goto directorport
if %1==-directorenabled goto directorenabled
if %1==-ajpenabled goto ajpenabled
if %1==-httpenabled goto httpenabled
if %1==-servicename goto servicename
if %1==-username goto username
if %1==-password goto password
if %1==-services goto services
if %1==-jonas_bin goto jonas_bin
if %1==-help goto help
goto errorpatameter

:start
if not exist %JAVA_HOME%\lib\tools.jar goto errorjava
if exist build.properties del build.properties
echo jdk.dir=%JAVA_HOME%>build.properties
echo rmiadaptorport=%RMIADAPTORPORT%>>build.properties
echo ajpport=%AJPPORT%>>build.properties
echo directorport=%DIRECTORPORT%>>build.properties
echo sslport=%SSLPORT%>>build.properties
echo sslenabled=%SSLENABLED%>>build.properties
echo directorenabled=%DIRECTORENABLED%>>build.properties
echo ajpenabled=%AJPENABLED%>>build.properties
echo httpenabled=%HTTPENABLED%>>build.properties
echo httpport=%HTTPPORT%>>build.properties
echo servicename=%SERVICENAME%>>build.properties
echo username=%USERNAME%>>build.properties
echo password=%PASSWORD%>>build.properties
echo services=%SERVICES%>>build.properties
echo jonas_bin=%JONAS_BIN%>>build.properties

set OLDCLASSPATH=%CLASSPATH%
set OLDPATH=%PATH%
set CLASSPATH=lib\build\ant.jar
set CLASSPATH=%CLASSPATH%;lib\xercesImpl.jar
set CLASSPATH=%CLASSPATH%;%JAVA_HOME%\lib\tools.jar

set PATH=%JAVA_HOME%\bin
java org.apache.tools.ant.Main -DSYSTEMROOT=%SYSTEMROOT%

set PATH=%OLDPATH%
set CLASSPATH=%OLDCLASSPATH%
set OLDCLASSPATH=
set OLDPATH=
goto end

:jdkdir
shift
if "X%1"=="X" goto errorjava
SET JAVA_HOME=%1
shift
goto loop

:httpport
shift
if "X%1"=="X" SET HTTPPORT=8080
SET HTTPPORT=%1
shift
goto loop


:httpenabled
shift
if "X%1"=="X" SET HTTPENABLED=on
if /i "%1"=="on" goto sethttpenabled
if /i "%1"=="off" goto sethttpenabled
goto errorpatameter
:sethttpenabled
SET HTTPENABLED=%1
shift
goto loop

:rmiadaptorport
shift
if "X%1"=="X" SET RMIADAPTORPORT=1099
SET RMIADAPTORPORT=%1
shift
goto loop

:ajpport
shift
if "X%1"=="X" SET AJPPORT=9009
SET AJPPORT=%1
shift
goto loop

:directorport
shift
if "X%1"=="X" SET DIRECTORPORT=9003
SET DIRECTORPORT=%1
shift
goto loop

:servicename
shift
if "X%1"=="X" SET SERVICENAME=Enhydra
SET SERVICENAME=%1
shift
goto loop

:username
shift
if "X%1"=="X" SET USERNAME=admin
SET USERNAME=%1
shift
goto loop

:password
shift
if "X%1"=="X" SET PASSWORD=enhydra
SET PASSWORD=%1
shift
goto loop

:directorenabled
shift
if "X%1"=="X" SET DIRECTORENABLED=on
if /i "%1"=="on" goto setdirectorenabled
if /i "%1"=="off" goto setdirectorenabled
goto errorpatameter
:setdirectorenabled
SET DIRECTORENABLED=%1
shift
goto loop

:ajpenabled
shift
if "X%1"=="X" SET AJPENABLED=on
if /i "%1"=="on" goto setajpenabled
if /i "%1"=="off" goto setajpenabled
goto errorpatameter
:setajpenabled
SET AJPENABLED=%1
shift
goto loop

:sslport
shift
if "X%1"=="X" SET SSLPORT=8443
SET SSLPORT=%1
shift
goto loop

:sslenabled
shift
if "X%1"=="X" SET SSLENABLED=on
if /i "%1"=="on" goto setsslenabled
if /i "%1"=="off" goto setsslenabled
goto errorpatameter
:setsslenabled
SET SSLENABLED=%1
shift
goto loop

:services
shift
if "X%1"=="X" goto defaultservices

SET SERVICES=
SET SERVICESTMP=%1
SET SERVICENAMETEMP=

for /F "tokens=1* delims=:" %%i in ("%SERVICESTMP%") do SET SERVICENAMETEMP=%%i
for /F "tokens=1* delims=:" %%i in ("%SERVICESTMP%") do SET SERVICESTMP=%%j
SET SERVICES=%SERVICENAMETEMP%
if "%SERVICESTMP%."=="." goto continueservices
:loopservices
	for /F "tokens=1* delims=:" %%i in ("%SERVICESTMP%") do SET SERVICENAMETEMP=%%i
	for /F "tokens=1* delims=:" %%i in ("%SERVICESTMP%") do SET SERVICESTMP=%%j
	SET SERVICES=%SERVICES%,%SERVICENAMETEMP%
	if "%SERVICESTMP%."=="." goto continueservices
goto loopservices
SET SERVICES=%SERVICES%
goto continueservices

:defaultservices
SET SERVICES=registry,jmx,security,jtm,dbm,ejb,web,ear

:continueservices
shift
goto loop

:jonas_bin
shift
if "X%1"=="X" SET JONAS_BIN=
SET JONAS_BIN=%1
shift
goto loop

:errorpatameter
echo.
echo     Invalid parameter value
echo.
pause
goto end

:error
echo.
echo          Enviroment variable SYSTEMROOT does not exist.
echo.
echo Set variable SYSTEMROOT to system root of your Windows installation ...
echo.
pause
goto end

:errorjava
echo.
echo     Enviroment variable JAVA_HOME mid not be set right.
echo.
echo Set variable JAVA_HOME to java root folder on your system!
echo.
pause
goto end

rem *********************************************************
rem *  Display HELP message
rem *********************************************************
:help
echo.
echo Parameters value for using with configure.bat :
echo.
echo configure       - Make build.properties file with default values
echo.
echo configure -help - Display this screen
echo.
echo configure [-jdk.dir JAVA_HOME] [-httpport connecting_port] [-httpenabled on/of] [-rmiadaptorport naming_port] [-sslport ssl_port] [-sslenabled on/of] [-ajpport ajp_port] [-directorport director_port] [-directorenabled on/of] [-ajpenabled on/of] [-servicename service_name] [-username admin_username] [-password admin_password] [-services enhydra_startup_services] [-jonas_bin jonas_binary_distribution]
echo.
echo.
echo Example:
echo.
echo configure -jdk.dir C:\j2sdk1.4.0 -httpport 8080 -httpenabled on -rmiadaptorport 1099 -sslport 8443 -sslenabled on -ajpport 9009 -directorport 9003 -directorenabled on -ajpenabled on -servicename Enhydra -username admin -password enhydra -services jtm:dbm:security:web -jonas_bin C:\jonas4.5.2-tomcat5.5.9.tgz
echo.
goto end

:end
SET JAVA_HOME=%OLDJAVA_HOME%
SET HTTPPORT=%OLDHTTPPORT%
SET RMIADAPTORPORT=%OLDRMIADAPTORPORT%
SET SSLPORT=%OLDSSLPORT%
SET SSLENABLED=%OLDSSLENABLED%
SET AJPPORT=%OLDAJPPORT%
SET DIRECTORPORT=%OLDDIRECTORPORT%
SET DIRECTORENABLED=%OLDDIRECTORENABLED%
SET AJPENABLED=%OLDAJPENABLED%
SET HTTPENABLED=%OLDHTTPENABLED%
SET SERVICENAME=%OLDSERVICENAME%
SET USERNAME=%OLDUSERNAME%
SET PASSWORD=%OLDPASSWORD%
SET SERVICES=%OLDSERVICES%
SET JONAS_BIN=%OLDJONAS_BIN%

SET OLDJAVA_HOME=
SET OLDHTTPPORT=
SET OLDRMIADAPTORPORT=
SET OLDSSLPORT=
SET OLDSSLENABLED=
SET OLDAJPPORT=
SET OLDDIRECTORPORT=
SET OLDDIRECTORENABLED=
SET OLDAJPENABLED=
SET OLDHTTPENABLED=
SET OLDSERVICENAME=
SET OLDUSERNAME=
SET OLDPASSWORD=
SET OLDSERVICES=
SET OLDJONAS_BIN=
